%define upstream_name    Parse-ExuberantCTags
%define upstream_version 1.02

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 27

Summary:	Efficiently parse exuberant ctags files
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Parse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel

# Filter autoloader libraries out
%{?perl_default_filter}

%description
This Perl module parses _ctags_ files and handles both traditional ctags as
well as extended ctags files such as produced with _Exuberant ctags_. To
the best of my knowledge, it does not handle emacs-style "_etags_" files.

The module is implemented as a wrapper around the _readtags_ library that
normally ships with _Exuberant ctags_. If you do not know what that is, you
are encouraged to have a look at http://ctags.sourceforge.net/.
In order to use this module, you do not need _Exuberant ctags_ on your
system. The module ships a copy of _readtags_. Quoting the _readtags_
documentation:

  The functions defined in this interface are intended to provide tag file
  support to a software tool. The tag lookups provided are sufficiently fast
  enough to permit opening a sorted tag file, searching for a matching tag,
  then closing the tag file each time a tag is looked up (search times are
  on the order of hundredths of a second, even for huge tag files). This is
  the recommended use of this library for most tool applications. Adhering
  to this approach permits a user to regenerate a tag file at will without
  the tool needing to detect and resynchronize with changes to the tag file.
  Even for an unsorted 24MB tag file, tag searches take about one second.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Thu Aug 22 2024 neoclust <neoclust> 1.20.0-27.mga10
+ Revision: 2088194
- Rebuild against new perl

* Thu Nov 30 2023 tv <tv> 1.20.0-26.mga10
+ Revision: 2011592
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 1.20.0-25.mga9
+ Revision: 1862250
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.20.0-24.mga9
+ Revision: 1795966
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.20.0-23.mga9
+ Revision: 1726996
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.20.0-22.mga8
+ Revision: 1595133
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.20.0-21.mga8
+ Revision: 1529110
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 1.20.0-20.mga8
+ Revision: 1433121
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 1.20.0-19.mga7
+ Revision: 1293650
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.20.0-18.mga7
+ Revision: 1249867
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 1.20.0-17.mga7
+ Revision: 1166133
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 1.20.0-16.mga7
+ Revision: 1149101
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.20.0-15.mga7
+ Revision: 1126621
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-14.mga6
+ Revision: 1031695
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.20.0-13.mga6
+ Revision: 957877
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.20.0-12.mga6
+ Revision: 845080
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 1.20.0-11.mga6
+ Revision: 842494
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-10.mga5
+ Revision: 740165
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.20.0-9.mga5
+ Revision: 733217
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-8.mga5
+ Revision: 685893
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.20.0-7.mga5
+ Revision: 631594
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.20.0-6.mga4
+ Revision: 524929
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.20.0-5.mga4
+ Revision: 431709
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-4.mga3
+ Revision: 371529
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.20.0-3.mga3
+ Revision: 251031
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.20.0-2.mga2
+ Revision: 104901
- Rebuild for perl 5.14

* Tue Jan 18 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 22739
- cleaning spec file
- imported package perl-Parse-ExuberantCTags

